<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

$adm = '';
$smarty -> assign('adm', $adm);

if ( $_POST['add_admins'] == 'ok' )
{
        $login = htmlspecialchars( $_POST['login'] );
        $pass = htmlspecialchars( $_POST['pass'] );
        $dane = htmlspecialchars( $_POST['dane'] );
        $function = $_POST['fun'];
        
        if ( $login == null )
        {
                $error = "Proszę podać login!";
        }
        else if ( $pass == null )
        {
                $error = "Proszę podać hasło!";
        }
        else if ( $dane == null )
        {
                $error = "Proszę podać dane osobowe!";
        }
        else if ( $function == null )
        {
                $error = "Proszę wybrać funkcje!";
        }
        else
        {
                $pass_md5 = md5( $pass );
                $sql = "INSERT INTO `admins` (`login`, `pass`, `function`, `name`) VALUES ('$login', '$pass_md5', '$function', '$dane')";
                mysql_query( $sql );
                $success = "Poprawnie dodano użytkownika systemowego!";
        }
}
if ( $_GET['act'] == 'delete' && isset( $_GET['id'] ) )
{
        $id = htmlspecialchars( $_GET['id'] );
        
        $sql = "DELETE FROM `admins` WHERE `id` = '$id'";
        mysql_query( $sql );
        $success = "Poprawnie usunieto użytkownika systemowego!";
}
if ( $_GET['act'] == 'lock' && isset( $_GET['id'] ) )
{
        $id = htmlspecialchars( $_GET['id'] );
        
        $sql = "UPDATE `admins` SET `block` = '1' WHERE id = '$id'";
        mysql_query( $sql );
        $success = "Poprawnie zablokowano użytkownika systemowego!";
}
if ( $_GET['act'] == 'unlock' && isset( $_GET['id'] ) )
{
        $id = htmlspecialchars( $_GET['id'] );
        
        $sql = "UPDATE `admins` SET `block` = '0' WHERE id = '$id'";
        mysql_query( $sql );
        $success = "Poprawnie odblokowano użytkownika systemowego!";
}
if ( $_GET['act'] == 'edit' && isset( $_GET['id'] ) )
{
        $edit = '';
        $smarty -> assign('edit', $edit);
        
        $id = htmlspecialchars( $_GET['id'] );
        $smarty -> assign('id', $id);
        
        if ( $_POST['edit_admins'] == 'ok' )
        {
                $login = htmlspecialchars( $_POST['login'] );
                $pass = htmlspecialchars( $_POST['pass'] );
                $dane = htmlspecialchars( $_POST['dane'] );
                $function = $_POST['fun'];
        
                if ( $login == null )
                {
                        $error = "Proszę podać login!";
                }
                else if ( $dane == null )
                {
                        $error = "Proszę podać dane osobowe!";
                }
                else if ( $function == null )
                {
                        $error = "Proszę wybrać funkcje!";
                }
                else
                {

                        if ( $pass == null )
                        {
                                $sql = "UPDATE `admins` SET `login` = '$login', `name` = '$dane', `function` = '$function' WHERE id = '$id'";
                        }
                        else
                        {
                                $pass_md5 = md5( $pass );
                                $sql = "UPDATE `admins` SET `login` = '$login', `name` = '$dane', `function` = '$function', `pass` = '$pass_md5' WHERE id = '$id'";
                        }
                        mysql_query( $sql );
                        $success = "Poprawnie zapisano zmiany!";
                }
        }
        
        $sql = "SELECT * FROM admins WHERE id = '$id'";
        $q = mysql_query( $sql );
        $admin_edit = array();
        while ( $db = mysql_fetch_array( $q ) )
        {
                $admin_edit[] = $db;
        }
        $smarty -> assign('admin_edit', $admin_edit);
}

$sql = "SELECT * FROM admins ORDER by id DESC";
$q = mysql_query( $sql );
$admins = array();
$count = 0;
while ( $db = mysql_fetch_array( $q ) )
{
        //$ida = '-' . $db['id'];
        //$sql2 = "SELECT COUNT(*) as ile_adm FROM object WHERE author = '$ida'";
        //$q2 = mysql_query( $sql2 );
        //$db2 = mysql_fetch_array( $q2 );
        //$ile_adm = $db2['ile_adm'];
        $admins[$count] = $db;
        //$admins[$count]['ile_adm'] = $ile_adm;
        $count++;
}

$smarty -> assign('admins', $admins);

$smarty -> assign('success', $success);
$smarty -> assign('error', $error);
?>
